#ifdef GL_ES
	precision mediump float;
	varying mediump vec2 v_texCoord1;
	varying mediump vec2 v_texCoord2;
	varying mediump vec2 v_texCoord3;
#else
	varying vec2 v_texCoord1;
	varying vec2 v_texCoord2;
	varying vec2 v_texCoord3;	
#endif

uniform float u_cloud_amount;


void main(void)
{
	vec4 col1 = texture2D(CC_Texture0, v_texCoord1);
	vec4 col2 = texture2D(CC_Texture0, v_texCoord2);
	vec4 col3 = texture2D(CC_Texture0, v_texCoord3);

//	vec4 col = (col1 + col2 + col3) / 3;
	vec4 col = col1 * col2 * col3;

	col -= 1.0 - u_cloud_amount;
	col = max(col, 0.0);
	col *= (1.0 / u_cloud_amount);

//	col *= 0.3;

	gl_FragColor = col;
}																						
